Name:            brutus-keyring
Version:         0.9.30
Release:         2%{?dist}
Summary:         Small keyring daemon

License:         GPLv3+
Group:           Applications/System
URL:             http://trac.brutus.net/brutus-keyring/
Source0:         http://www.omesc.com/sites/default/files/downloads/dist/%{name}/Rawhide/SOURCES/%{name}-%{version}.tar.gz
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   ORBit2-devel >= 2.14.1
BuildRequires:   libgcrypt-devel >= 1.2.2

Requires:        libIDL >= 0.8.5

Conflicts:       evolution-brutus < 1.1.28


%description
This is the Brutus Keyring. It is a very small and simple 
keyring daemon that will encrypt large as well as small 
secrets using a symmetric cipher.

This package contains the executable necessary for programs using
Brutus Keyring.

You will need to install this package and brutus-keyring-devel if 
you want to write programs using Brutus Keyring.


%package devel
Summary:         IDL and header files for brutus-keyring
Group:           Development/Libraries
Requires:        %{name} = %{version}-%{release}
Requires:        pkgconfig >= 0.20
Requires:        ORBit2-devel >= 2.14.1


%description devel 
This is the Brutus Keyring development files. Brutus Keyring is 
a very small and simple keyring daemon that will encrypt large 
as well as small secrets using a symmetric cipher.

This package contains the header files, libraries and utilities
necessary to write Brutus Keyring client programs.


%prep
%setup -q 


%build
%configure				\
	--enable-brutus-target=fedora	\
	--enable-brutus-dist=yes	\
	--enable-brutus-debug=yes	\
	--enable-brutus-devel=yes
make %{?_smp_mflags}


%install 
rm -rf %{buildroot}
make INSTALL="install -c -p" DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Don't bother to pack unnecessary docs.
#rm -rf %{buildroot}%{_datadir}/doc/%{name}-devel-%{version}/


%clean 
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog docs/brutus-keyring-guide
%{_bindir}/brutus-keyringd
%{_bindir}/%{name}-client
%{_libdir}/libBrutusKeyringd*

%files devel
%defattr(-,root,root,-)
%doc docs/brutus-keyring-devel-guide
%{_includedir}/%{name}-1.0/
%{_libdir}/pkgconfig/libBrutusKeyringd*
%{_datadir}/idl/%{name}/

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.9.30-1
* Update to 0.9.30.
- Update license tag.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-7
- Autorebuild for GCC 4.3

* Tue Aug 28 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.9.0-6
- Rebuild.
- Update license tag.

* Mon Jul 16 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.9.0-5
- spec clean-up.
- Drop unnecessary requires.

* Sat Jun 30 2007 Jules Colding <colding@omesc.com> 0.9.0-4
- Fix one more review issue

* Sat Jun 30 2007 Jules Colding <colding@omesc.com> 0.9.0-3
- Fix review issues

* Sat Jun 30 2007 Jules Colding <colding@omesc.com> 0.9.0-2
- Fix syntax for post and postun macros

* Tue Jun 26 2007 Jules Colding <colding@omesc.com> 0.9.0-1
- Initial RPM release


